Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 692144 - mail-mta/postfix-3.4.6 with sys-devel/glibc-2.30 - dns_str_resflags.c:63:22: error: ‘RES_INSECURE1’ undeclared here (not in a function); did you mean ‘RES_RECURSE’?
Summary: mail-mta/postfix-3.4.6 with sys-devel/glibc-2.30 - dns_str_resflags.c:63:22: ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Eray Aslan
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-2.30
  Show dependency tree
 
Reported: 2019-08-14 14:47 UTC by Cănărău Constantin
Modified: 2020-03-15 17:19 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cănărău Constantin 2019-08-14 14:47:20 UTC
glibc-2.30 removed deprecatd symbols RES_INSECURE1, RES_INSECURE2 and RES_USE_INET6. As result, postfix failed to compile with:

dns_str_resflags.c:55:13: warning: RES_AAONLY is deprecated
   55 |     "RES_AAONLY", RES_AAONLY,
      |             ^~~~~~~~~~~~~~~~~         
dns_str_resflags.c:57:13: warning: RES_PRIMARY is deprecated
   57 |     "RES_PRIMARY", RES_PRIMARY,
      |             ^~~~~~~~~~~~~~~~~~~        
dns_str_resflags.c:63:22: error: ‘RES_INSECURE1’ undeclared here (not in a function); did you mean ‘RES_RECURSE’?
   63 |     "RES_INSECURE1", RES_INSECURE1,
      |                      ^~~~~~~~~~~~~
      |                      RES_RECURSE
dns_str_resflags.c:64:22: error: ‘RES_INSECURE2’ undeclared here (not in a function); did you mean ‘RES_RECURSE’?
   64 |     "RES_INSECURE2", RES_INSECURE2,
      |                      ^~~~~~~~~~~~~
      |                      RES_RECURSE
dns_str_resflags.c:66:22: error: ‘RES_USE_INET6’ undeclared here (not in a function)
   66 |     "RES_USE_INET6", RES_USE_INET6,
      |                      ^~~~~~~~~~~~~
dns_str_resflags.c:71:13: warning: RES_NOCHECKNAME is deprecated
   71 |     "RES_NOCHECKNAME", RES_NOCHECKNAME,
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~    
dns_str_resflags.c:76:13: warning: RES_KEEPTSIG is deprecated
   76 |     "RES_KEEPTSIG", RES_KEEPTSIG,
      |             ^~~~~~~~~~~~~~~~~~~~~       
dns_str_resflags.c:79:13: warning: RES_BLAST is deprecated
   79 |     "RES_BLAST", RES_BLAST,
      |             ^~~~~~~~~~~~~~~          

emerge --info:

Portage 2.3.71 (python 3.7.4-final-0, default/linux/amd64/17.1/no-multilib, gcc-9.2.0, glibc-2.30, 5.2.8-gentoo-costel x86_64)
=================================================================
System uname: Linux-5.2.8-gentoo-costel-x86_64-Intel-R-_Core-TM-_i7-6700K_CPU_@_4.00GHz-with-gentoo-2.6
KiB Mem:    32942696 total,  15347152 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Wed, 14 Aug 2019 05:00:02 +0000
Head commit of repository gentoo: 785b13633d5ae2a538a58e088423ec749152f17e
sh bash 5.0_p7
ld GNU gold (Gentoo 2.32 p2 2.32.0) 1.16
distcc 3.3.2 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          5.0_p7::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.30.0::gentoo
dev-lang/python:          2.7.16::newer, 3.7.4-r1::newer
dev-util/cmake:           3.15.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.16.1-r1::gentoo
sys-devel/binutils:       2.32-r1::gentoo
sys-devel/gcc:            9.2.0::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.2::gentoo (virtual/os-headers)
sys-libs/glibc:           2.30::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-vcs-ignore: true
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-jobs: 4
    sync-rsync-extra-opts: --human-readable --delete-before --progress
    sync-rsync-verify-metamanifest: yes

crossdev
    location: /var/db/repos/crossdev
    masters: gentoo
    priority: 10

added
    location: /var/db/repos/added
    masters: gentoo
    priority: 100

gnome
    location: /var/db/repos/gnome
    masters: gentoo
    priority: 100

newer
    location: /var/db/repos/newer
    masters: gentoo
    priority: 100

Installed sets: @desktop, @dev, @minimal, @qt, @raspberry, @xfce
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O3 -pipe -march=native -flto=8 -fgraphite-identity -floop-nest-optimize -fno-semantic-interposition -fipa-pta -fdevirtualize-at-ltrans -falign-functions=32 -fgcse-las"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.3/ext-active/ /etc/php/cgi-php7.3/ext-active/ /etc/php/cli-php7.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O3 -pipe -march=native -flto=8 -fgraphite-identity -floop-nest-optimize -fno-semantic-interposition -fipa-pta -fdevirtualize-at-ltrans -falign-functions=32 -fgcse-las"
DISTDIR="/mnt/linux/distfiles"
EMERGE_DEFAULT_OPTS="--jobs=3 --load-average=9 --keep-going --with-bdeps=y --complete-graph --quiet-build=n --autounmask-write"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs candy cgroup collision-protect config-protect-if-modified distlocks fail-clean fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news nodoc noinfo parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-filter unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.romnet.org/gentoo/ ftp://ftp.romnet.org/gentoo/ http://distfiles.gentoo.org/"
INSTALL_MASK="/usr/share/locale -/usr/share/locale/ro -/usr/share/locale/en -/usr/share/locale/en_US"
LANG="ro_RO.UTF-8"
LC_ALL="ro_RO.UTF-8"
LDFLAGS="-Wl,-O1,--sort-common,--hash-style=gnu,--enable-new-dtags,--as-needed,-z,relro,-z,now -O3 -pipe -march=native -flto=8 -fgraphite-identity -floop-nest-optimize -fno-semantic-interposition -fipa-pta -fdevirtualize-at-ltrans -falign-functions=32 -fgcse-las"
MAKEOPTS="-j8 --load-average=10"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--human-readable --delete-before --progress"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X aac acl acpi aes alsa amd64 avx avx2 berkdb branding bzip2 cairo caps cli crypt cxx dbus dri encode fam flac fma3 fortran gdbm gif gpm gtk gtk3 iconv icu ipv6 jpeg libtirpc lm_sensors lz4 mmx mmxext mp3 mpeg ncurses nls nptl ogg opengl openmp opus pam pango pcre pdf perl png policykit popcnt pulseaudio python readline seccomp server split-usr sse sse2 sse3 sse4_1 sse4_2 ssl ssse3 svg systemd tcpd threads truetype udev udisks unicode usb vaapi vdpau vhosts vorbis x264 xattr zlib" ABI_X86="64" ALSA_CARDS="hda-intel usb-audio" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 fma3 mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" L10N="ro en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LLVM_TARGETS="BPF NVPTX X86 AArch64" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" NGINX_MODULES_HTTP="access auth_basic autoindex browser charset fastcgi gunzip gzip limit_conn limit_req memcached naxsi realip referer rewrite split_clients userid" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_7" PYTHON_TARGETS="python2_7 python3_7" QEMU_SOFTMMU_TARGETS="aarch64" QEMU_USER_TARGETS="aarch64" RUBY_TARGETS="ruby26" USERLAND="GNU" VIDEO_CARDS="intel i965 nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS
Comment 2 Sergei Trofimovich gentoo-dev 2019-09-21 07:34:32 UTC
=mail-mta/postfix-3.5_pre20190914 seems to work with glibc but it's a masked package.
Comment 3 Larry the Git Cow gentoo-dev 2019-09-24 04:53:28 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38495cf1befec938e3dcf90adf74ae085939bee0

commit 38495cf1befec938e3dcf90adf74ae085939bee0
Author:     Eray Aslan <eras@gentoo.org>
AuthorDate: 2019-09-24 04:52:22 +0000
Commit:     Eray Aslan <eras@gentoo.org>
CommitDate: 2019-09-24 04:52:22 +0000

    mail-mta/postfix: bump to 3.4.7
    
    and fix building with glibc-2.30
    Closes: https://bugs.gentoo.org/692144
    Package-Manager: Portage-2.3.76, Repoman-2.3.17
    Signed-off-by: Eray Aslan <eras@gentoo.org>

 mail-mta/postfix/Manifest                     |   1 +
 mail-mta/postfix/files/postfix-glibc230.patch |  31 +++
 mail-mta/postfix/postfix-3.4.7.ebuild         | 318 ++++++++++++++++++++++++++
 3 files changed, 350 insertions(+)